Subject: Re: bug#35802: Broken data loaded from uni-decomposition

From: Juri Linkov <[email-masked]>
Date: Fri, 21 Jun 2019 22:16:24 +0300

> So I think adjusting isearch-search-fun-default should be enough
> to fix this.

Yes, hopefully the value of search-spaces-regexp is not needed at the
time of regexp generation, even though it's mentioned in the comments
of char-fold-to-regexp.

Are more changes required to avoid such problem in other error-prone
places and to make char-fold--test-bug-35802 still to pass, like using
"Local[ ]Variables:" in find-auto-coding?

Also maybe a warning about the need of using non-capturing groups should be
added to documentation of search-spaces-regexp, search-whitespace-regexp,
Info-search-whitespace-regexp?